Bug 219015 - AppleWin can't start due to "Failed to determine path to AAS directory." because iTunes changed the registry key
Summary: AppleWin can't start due to "Failed to determine path to AAS directory." beca...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-11-16 18:09 PST by Fujii Hironori
Modified: 2021-03-22 12:00 PDT (History)
11 users (show)

See Also:


Attachments
Patch (2.90 KB, patch)
2020-11-16 18:45 PST, Fujii Hironori
Hironori.Fujii: review-
Details | Formatted Diff | Diff
Patch (5.78 KB, patch)
2021-03-18 23:14 PDT, Tyler Wilcock
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2020-11-16 18:09:16 PST
AppleWin can't start due to "Failed to determine path to AAS directory." because iTunes changed the registry key

[webkit-help] Compiling webkit on windows.
https://lists.webkit.org/pipermail/webkit-help/2020-November/004169.html

"\HKEY_LOCAL_MACHINE\SOFTWARE\Apple Computer, Inc.\iTunes" is the new registry key.
Comment 1 Fujii Hironori 2020-11-16 18:45:57 PST
Created attachment 414297 [details]
Patch
Comment 2 Fujii Hironori 2020-11-16 19:47:14 PST
Oh, Win EWS bot passed. I'm surprised. I hope this change won't break post-commit buildbot. 🤞
Comment 3 Alex Christensen 2020-11-17 08:12:43 PST
Comment on attachment 414297 [details]
Patch

This looks likely to break things for us internally.  Could we check both paths and allow one to not exist instead?
Comment 4 Radar WebKit Bug Importer 2020-11-26 03:17:22 PST
<rdar://problem/71747677>
Comment 5 Tyler Wilcock 2021-03-18 23:14:38 PDT
Created attachment 423695 [details]
Patch
Comment 6 Tyler Wilcock 2021-03-18 23:16:16 PDT
I ran into this issue as well.  I've uploaded a patch that looks for the Apple Application Support directory first, then falls back to the iTunes installation directory if necessary.
Comment 7 EWS 2021-03-22 12:00:49 PDT
Committed r274769: <https://commits.webkit.org/r274769>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 423695 [details].